kafka firehose version for druid 0.9.1.1

While the release notes say that druid uses kafka 0.9, the docs for the firehose say it uses kafka 0.8x.
http://druid.io/docs/0.9.1.1/development/extensions-core/kafka-eight-firehose.html

Can someone please clarify what is correct for realtime nodes?

The kafka-indexing-service extension uses Kafka 0.9.0.1, the kafka-eight firehose still uses Kafka 0.8.2.1.